# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$

EAPI=6
inherit eutils qmake-utils

DESCRIPTION="A tool o download sessions from the Polar M400/V800 watch"
HOMEPAGE="https://github.com/profanum429/v800_downloader"
SRC_URI="https://github.com/profanum429/${PN}/archive/Release${PV}%60.tar.gz"

LICENSE="GPL-3"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="qt5"

DEPEND="
	dev-qt/qtcore:5
	dev-qt/qtgui:5
	dev-qt/qtxml:5
	sys-libs/zlib
	virtual/libudev"
RDEPEND="${DEPEND}"
S=${WORKDIR}/${PN}-Release${PV}-

src_configure() {
	ac_qmake="$(qt5_get_bindir)/qmake"
	cd "${S}"
	eqmake5 .
}

src_install() {
	cd ${S}/release/
	exeinto /usr/bin
	doexe v800_downloader
}
